Update Client Group
curl --request PATCH \
--url https://api.example.com/client-groups/{group_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"description": "<string>",
"archived": true
}
'import requests
url = "https://api.example.com/client-groups/{group_id}"
payload = {
"name": "<string>",
"description": "<string>",
"archived": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: '<string>', description: '<string>', archived: true})
};
fetch('https://api.example.com/client-groups/{group_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"description": "<string>",
"archived": true,
"is_default": true,
"members": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"email": "<string>",
"status": "active",
"folder_access": [
{}
],
"file_access": [
{}
]
}
],
"workspaces": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"description": "<string>",
"access_level": "VIEW"
}
],
"policy": {
"period_days": 123,
"ai_credit_limit": 123,
"infrastructure_credit_limit": 123,
"request_limit": 123,
"hard_stop": true
},
"usage": {},
"asset_access": [
{}
],
"folder_access": [
{}
],
"file_access": [
{}
]
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}client-access
Update Client Group
PATCH
/
client-groups
/
{group_id}
Update Client Group
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Path Parameters
Body
application/json
Response
Successful Response
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes